//    TRENDLINES - Agility Trader  
#property indicator_chart_window
extern int MinimumGap=10;
extern int MaxBars=100;
int Counter,CurrentBar=0;

// INIT
int init()
   {
   ObjectCreate("SupportLine",OBJ_HLINE,0,0,0);
   ObjectSet("SupportLine",OBJPROP_COLOR,Green);
   ObjectCreate("SupportTrend",OBJ_TREND,0,0,0,0,0);
   ObjectSet("SupportTrend",OBJPROP_COLOR,Green);
   ObjectCreate("ResistanceLine",OBJ_HLINE,0,0,0);
   ObjectSet("ResistanceLine",OBJPROP_COLOR,Red);
   ObjectCreate("ResistanceTrend",OBJ_TREND,0,0,0,0,0);
   ObjectSet("ResistanceTrend",OBJPROP_COLOR,Red);
   return(0);
    }

// DEINIT
int deinit()
   {
   ObjectDelete("ResistanceTrend");
   ObjectDelete("SupportTrend");
   ObjectDelete("SupportLine");
   ObjectDelete("ResistanceLine");
   return(0);
   }

// START
int start()
   {
   double ResVal1,ResVal2;
   int ResBar1,ResBar2;
   double SupVal1,SupVal2;
   int SupBar1,SupBar2;

   if (Bars < MaxBars) MaxBars = Bars - MinimumGap;
   for (CurrentBar = MaxBars; CurrentBar > 0; CurrentBar --)
       {
       if (Low[CurrentBar + (MinimumGap - 1) / 2] == Low[Lowest(NULL,0,MODE_LOW,MinimumGap,CurrentBar)])
          {
          SupVal2=SupVal1; SupVal1 = Low[CurrentBar + (MinimumGap - 1) / 2];
          SupBar2=SupBar1; SupBar1 = CurrentBar + (MinimumGap - 1) / 2;
          }
       if (High[CurrentBar + (MinimumGap - 1) / 2] == High[Highest(NULL,0,MODE_HIGH,MinimumGap,CurrentBar)])
          {
          ResVal2=ResVal1; ResVal1 = High[CurrentBar + (MinimumGap -1 ) / 2];
          ResBar2=ResBar1; ResBar1 = CurrentBar + (MinimumGap - 1) / 2;
          }
       }

   ObjectMove("SupportTrend",1,Time[SupBar1],SupVal1);
   ObjectMove("SupportTrend",0,Time[SupBar2],SupVal2);
   ObjectMove("ResistanceTrend",1,Time[ResBar1],ResVal1);
   ObjectMove("ResistanceTrend",0,Time[ResBar2],ResVal2);
   return(0);
   }
